<?php

/**
 * Plugin cibloc
 * @copyright 2018 MTECT
 * @author Christophe IMBERTI (cf. CPI art L121-1)
 * @license GNU/GPLv3
 */

if (!defined(
	'_ECRIRE_INC_VERSION'
)) {
	return;
}

include_spip('inc/cibloc_commun');
include_spip('inc/cibloc_cache');

// lire le cache
include_spip('inc/cibloc_lire_cache');
cibloc_lire_cache_definition();

function cibloc_config_liste_multi($arg = '') {
	$liste = '';
	$libelle_titre = '';
	$libelle_inserer = cibloc_config_ou_voir('multi');

	$tableau_de_tableaux = cibloc_configuration_des_multis();

	foreach ($tableau_de_tableaux as $type_et_id => $multi) {
		$preremplir_propre = '';
		$preremplir_popin = '';
		$paragrapher = 'oui';
		$ok = true;

		// condition par une constante
		if (isset($multi['constante']) and cibloc_verifier_constante(
			$multi['constante'],
			$type_et_id
		)) {
			$constante = texte_script($multi['constante']);
			if ($constante and !(defined($constante) and constant($constante) == 'oui')) {
				$ok = false;
			}
		}

		if ($ok) {
			if (isset($multi['preremplir'])) {
				$preremplir_propre = $multi['preremplir'];
			}

			if (isset($multi['statut']) and $multi['statut'] == 'desactive') {
				$preremplir_popin = $preremplir_propre;
			} else {
				$preremplir_popin = cibloc_openWith($multi['type'], $multi['id'], $preremplir_propre) . cibloc_closeWith(
					$multi['type'],
					$multi['id'],
					$preremplir_propre
				);
			}
			if (isset($multi['paragrapher']) and $multi['paragrapher'] == 'non') {
				$paragrapher = 'non';
			}

			$libelle_titre = str_replace("\'", "'", $multi['nom']);
			$libelle_titre_long = $libelle_titre;
			if (isset($multi['statut']) and $multi['statut'] != 'active') {
				$libelle_titre_long .= ' <div style="font-size:0.7rem;padding-top:0.3rem;">[' . _T('cibloc:statut_' . $multi['statut']) . ']</div>';
			}

			$url = generer_url_ecrire('cibloc_config_multi', 'type_et_id=' . $type_et_id);

			$liste .= '<li><a href="' . $url . '" class="cibloc_titre_bloc" title="' . $libelle_inserer . ' ' . $libelle_titre . '">' . $libelle_inserer . ' ' . $libelle_titre_long . '</a>';
			$liste .= '<a href="' . $url . '" class="cibloc_sans_vignette_lien" title="' . $libelle_inserer . ' ' . $libelle_titre . '"><div class="cibloc_sans_vignette cibloc_sans_vignette_' . $type_et_id . '">';
			$liste .= cibloc_multi_relatif_ep(cibloc_preremplir_propre($preremplir_popin, $paragrapher));
			$liste .= '</div></a></li>';
		}
	}

	return '<ul>' . $liste . '</ul>';
}

function cibloc_multi_relatif_ep($texte) {
	$texte = str_replace(['href="plugins', 'src="plugins'], ['href="../plugins', 'src="../plugins'], $texte);

	return $texte;
}
